Final Fantasy 8 on GEN-D

Discussion in 'PSP - Games & Content' started by mcboom, Dec 1, 2009.

  1. mcboom
    OP

    mcboom GBAtemp Regular

    Member
    144
    0
    May 19, 2008
    I have downloaded 2 disc 1 eboots for this game and each time i play it freezes at certain points like when i draw and cast some magic and etc. so should i go back to 5.00m33 just to play this game without freezing or is there a way to play it perfextly on GEN-D? And I experience 2 types of freezing one being that the psp turns off after a few seconds and the second that the game freezes and i can go home and reset the game

    P.S. I am using popsloader and it freezes at the same points for both eboots and on multiple pops firmwares and I do know about the compatibility list so please don't link me there
     
  2. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    M33 is the best for better compatibility for PS1 games.
     
  3. Dark_linis

    Dark_linis GBAtemp Regular

    Member
    272
    0
    Dec 23, 2008
    United States
    Manhattan
    I played through 8 on Gen.

    I can't give you the link for the version I used but just search for "working ff8 eboot"

    If it's Ok, I can give you the link through PM
     
  4. Ryufushichou

    Ryufushichou I'm Not British, I'm Just Gay!

    Member
    668
    15
    Mar 29, 2008
    Raimon Junior High
    Well for a start using the Scan skill has always made FF8 Freeze there is nothing wrong with that eboot. but draw/cast I think there is a fix for, just try different POPS it looks like you need to use 3.71/3.72/3.80 to get it to run.

    Hope this helps.

    - VV
     
  5. synce

    synce だいこんちゃんのだいふぁん

    Member
    499
    35
    Nov 5, 2009
    United States
    I don't think it makes a difference if you use M33 or GEN. It all depends on the pops. There are some games that require you to switch pops throughout in order to finish them. Play a bit and if you like the game just buy it, that's what I tend to do
     
  6. mcboom
    OP

    mcboom GBAtemp Regular

    Member
    144
    0
    May 19, 2008
    I have the original game on the ps1 and i don't want to spend my money and i think FF8 is only out in japan PSN
     
  7. nl255

    nl255 GBAtemp Addict

    Member
    2,459
    322
    Apr 9, 2004
    Even if you buy it, it won't work unless you are using 6.XX firmware. Once GEN or someone else comes out with a popsloader that supports 6.XX pops, it will work properly.
     
  8. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    No it does make a difference.
     
  9. dib

    dib GBAtemp Advanced Maniac

    Member
    1,574
    6
    May 1, 2004
    United States
    If you know about the compatibility list then there shouldn't be any problem. Once you change the ID and use the appropriate POPS version the game works fine. I've played to disk 3 and never had it freeze, other than the well known intro on disk 1 where you need to use a different version then save.
     
  10. Ryufushichou

    Ryufushichou I'm Not British, I'm Just Gay!

    Member
    668
    15
    Mar 29, 2008
    Raimon Junior High


    There is no fix yet, its always frozen on scan, i havent found a version that doesnt and ive been looking everywhere.
     
  11. mcboom
    OP

    mcboom GBAtemp Regular

    Member
    144
    0
    May 19, 2008
    I finished the game a few weeks ago and I used a multidisc eboot which is 2 gig and it didn't freeze except for some FMV's.
     
  12. Dark_linis

    Dark_linis GBAtemp Regular

    Member
    272
    0
    Dec 23, 2008
    United States
    Manhattan
    Just throwing it out there that the PSN version is out now. Should have perfect compatibility.
     
  13. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    On official firmware..
     
  14. nl255

    nl255 GBAtemp Addict

    Member
    2,459
    322
    Apr 9, 2004
    Only on 6.XX pops, which is currently only available on OFW. Once popsloader is updated to support pops from firmware 6.00 to 6.20, FF8 will work perfectly when converted just like the PSN one.
     
  15. Dark_linis

    Dark_linis GBAtemp Regular

    Member
    272
    0
    Dec 23, 2008
    United States
    Manhattan
    Oh crap really?

    I was going to play it later too. Oh well.
     
  16. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    Final Fantasy 8 does work on GEN D, i played about 3 hours into it.
    Just keep changing pops every time it crashes (it only crashed on me about two times at the start)

    I've seen this on the compatibility list
    I didn't do this, but try it see if it works.